<ion-header>
  <ion-toolbar class="backazul">
    <ion-row class="backazul">
      <ion-col size="2" class="ion-text-center">
        <ion-icon name="arrow-back-sharp" style="font-size: 27px;color: #ffffff;font-weight: bolder;" routerLink="/tabs/tab1"></ion-icon>
      </ion-col>
      <ion-col size="8" class="ion-text-center">
          <h1 style="color: white;margin:0px;">{{nombreempresa}}</h1>
      </ion-col>
      <ion-col size="2">
      </ion-col>
    </ion-row>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
  <ion-grid fixed>
    <ion-row>
      <ion-col size="12" class="ion-text-center">
        <ion-label style="color: black!important;" *ngIf="status === '1'" class="texttitulo">
          EMPRESA
        </ion-label>
        <ion-label style="color: black!important;" *ngIf="status === '0'" class="texttitulo">
          PROSPECTO
        </ion-label>
      </ion-col>
      <ion-col size="3">
        <ion-avatar>
          <img
          src="https://animatiomx.com/lumi/imagenes/default.png"/>
        </ion-avatar>
      </ion-col>
      <ion-col size="9">
        <ion-label class="texttitulo">
          Dirección
        </ion-label>
        <p>
          {{direccion}}
        </p>
      </ion-col>
    </ion-row>
  </ion-grid>
  <div id="mapa"></div>
  <ion-input id="lat" [(ngModel)]="latitudi" style="display: none;"></ion-input>
  <ion-input id="long" [(ngModel)]="longitudi" style="display: none;"></ion-input>

<ion-card class="card">
  <ion-card-content>

    <ion-row *ngIf = "!vermasdetalle">
      <ion-col size="6"><h3 class="text-azul">TE ENCUENTRAS A: </h3></ion-col>
      <ion-col size="3"><ion-input style="--padding-top: 0px;--padding-end: 0;--padding-bottom: 0px;--padding-start: 0px;font-size: inherit;color: black!important;font-weight: bold;" id="totalfinal" [(ngModel)]="total" disabled></ion-input></ion-col>
      <ion-col size="3" *ngIf="verseguimiento === true"><ion-button class="botoniniciar" *ngIf = "!iniciarseguimiento && estatuscita === '1'" (click)="iralpunto()">Iniciar</ion-button></ion-col>
    </ion-row>

    <ion-row class="row-card" *ngIf = "vermasdetalle">
      <ion-col size="6"><h3 class="text-azul">TE ENCUENTRAS A: </h3></ion-col>
      <ion-col size="3"><ion-input style="--padding-top: 0px;--padding-end: 0;--padding-bottom: 0px;--padding-start: 0px;font-size: inherit;color: black!important;font-weight: bold;" id="totalfinal" [(ngModel)]="total" disabled></ion-input></ion-col>
      <ion-col size="3" *ngIf="verseguimiento === true"><ion-button class="botoniniciar" *ngIf = "!iniciarseguimiento && estatuscita === '1'" (click)="iralpunto()">Iniciar</ion-button></ion-col>
    </ion-row>

    <ion-row *ngIf = "check && estatuscita === '1'">
      <ion-col size="12" class="ion-text-center">
        <ion-button style="--border-radius:25px;color:white;font-weight:bolder;" (click)="checkin()"><ion-icon name="location-outline"></ion-icon>Check In</ion-button>
      </ion-col>
    </ion-row>

    <ion-row class="row-card" *ngIf = "vermasdetalle">

      <ion-col size="12" class="ion-text-left">
        <h3 class="text-azul">Fecha y Hora</h3>
      </ion-col>
      <ion-col size="12" class="ion-text-left" style="padding-left: 30px;">
        <span style="color: black;">{{fecha}}</span><br>
         <span style="color: black;">{{(horaI).substring(0,5)}} Hrs  -  {{(horaF).substring(0,5)}} Hrs</span>
      </ion-col>

      <ion-col size="12" class="ion-text-left">
        <h3 class="text-azul">Motivo</h3>
      </ion-col>
      <ion-col size="12" class="ion-text-left" style="padding-left: 30px;">
        <span style="color: black;">{{motivo}}</span>
      </ion-col>
    </ion-row>

    <ion-row *ngIf = "vermasdetalle">
      <ion-col size="12" class="ion-text-left">
        <h3 class="text-azul">Archivos adjuntos</h3>
      </ion-col>
      <ion-col size="12" class="ion-text-left">
        <div  *ngFor="let archi of archivosadjuntos">
          <label size="12" class="ion-text-left">
          <img *ngIf="archi.formato === 'png' || archi.formato === 'jpg'
          || archi.formato === 'jpeg' || archi.formato === 'gif'
          || archi.formato === 'bmp' || archi.formato === 'ico'"
          src="../../../assets/img/images-outline.svg" width="20px" height="20px"
          class="mr-2 imgS">
          <img *ngIf="archi.formato === 'doc' || archi.formato === 'dot'
          || archi.formato === 'docx'"
          src="../../../assets/img/word.png" width="20px" height="20px"
          class="mr-2 imgS">
          <img *ngIf="archi.formato === 'xls' || archi.formato === 'xlsx'
          || archi.formato === 'csv' || archi.formato === 'xlk'
          || archi.formato === 'xlm' || archi.formato === 'ctt'"
          src="../../../assets/img/excel.png" width="20px" height="20px"
          class="mr-2 imgS">
          <img *ngIf="archi.formato === 'pps' || archi.formato === 'ppt'
          || archi.formato === 'pptx'"
          src="../../../assets/img/power.png" width="20px" height="20px"
          class="mr-2 imgS">
          <img *ngIf="archi.formato === 'pdf'"
          src="../../../assets/img/pdf.png" width="20px" height="20px"
          class="mr-2 imgS">
          <img *ngIf="archi.formato === 'zip' || archi.formato === '7z'
          || archi.formato === 'rar'"
          src="../../../assets/img/zip.png" width="20px" height="20px"
          class="mr-2 imgS">
          <img *ngIf="archi.formato === 'mp3' || archi.formato === 'mid'
          || archi.formato === 'wav' || archi.formato === 'aac'"
          src="../../../assets/img/musica.png" width="20px" height="20px"
          class="mr-2 imgS">
          <img *ngIf="archi.formato === 'avi' || archi.formato === 'mkv'
          || archi.formato === 'flv' || archi.formato === 'mov'
          || archi.formato === 'wmv' || archi.formato === 'mp4'"
          src="../../../assets/img/video.png" width="20px" height="20px"
          class="mr-2 imgS">
          <img *ngIf="archi.formato !== 'png' && archi.formato !== 'jpg'
          && archi.formato !== 'jpeg' && archi.formato !== 'gif'
          && archi.formato !== 'bmp' && archi.formato !== 'ico' &&
          archi.formato !== 'doc' && archi.formato !== 'dot'
          && archi.formato !== 'docx' && archi.formato !== 'xls' && archi.formato !== 'xlsx'
          && archi.formato !== 'csv' && archi.formato !== 'xlk'
          && archi.formato !== 'xlm' && archi.formato !== 'ctt' &&
          archi.formato !== 'pps' && archi.formato !== 'ppt'
          && archi.formato !== 'pptx' && archi.formato !== 'pdf' &&
          archi.formato !== 'zip' && archi.formato !== '7z'
          && archi.formato !== 'rar' && archi.formato !== 'mp3' && archi.formato !== 'mid'
          && archi.formato !== 'wav' && archi.formato !== 'aac' &&
          archi.formato !== 'avi' && archi.formato !== 'mkv'
          && archi.formato !== 'flv' && archi.formato !== 'mov'
          && archi.formato !== 'wmv' && archi.formato !== 'mp4'"
          src="../../../assets/img/archivo.png" width="20px" height="20px"
          class="mr-2 imgS">
          <a href="https://animatiomx.com/lumi/Archivos/{{archi.Nombre}}" target="_blank"><label style="cursor: pointer;margin-bottom: 3px;" > {{(archi.Nombre).substring(18, 45)}}</label></a>
          <img (click)="eliminaArchivos(archi.idArchivos)" src="../../../assets/img/close-sharp.svg" class="pl-1 imgS" width="20px" height="20px" style="padding-top: 2%;">
          </label>
        </div>
      </ion-col>
    </ion-row>

    <ion-row *ngIf = "vermasdetalle">
      <ion-col size="12" class="ion-text-left">
        <h3 class="text-azul">Historial de Visitas</h3>
      </ion-col>
      <ion-col size="12" class="ion-text-left">
        <ion-row>
          <ion-col size="4" class="ion-text-center">
            <span class="textotitulo">Fecha</span>
          </ion-col>
          <ion-col size="4" class="ion-text-center">
            <span class="textotitulo">Asesor</span>
          </ion-col>
          <ion-col size="4" class="ion-text-center">
            <span class="textotitulo">Motivo</span>
          </ion-col>
        </ion-row>

        <ion-row *ngFor="let visita of visitas">
          <ion-col size="4" class="ion-text-left elipsis" (click)="mensaje(visita.Nombre,visita.Motivo)">
            <span class="text-peueño">{{visita.FechaI | date:'dd'}}</span><span>&nbsp;{{visita.FechaI | date:'MMMM'}}</span>
          </ion-col>
          <ion-col size="4" class="ion-text-left elipsis" (click)="mensaje(visita.Nombre,visita.Motivo)">
            <span class="text-peueño">{{visita.Nombre}}</span>
          </ion-col>
          <ion-col size="4" class="ion-text-left elipsis" (click)="mensaje(visita.Nombre,visita.Motivo)">
            <span class="text-peueño">{{visita.Motivo}}</span>
          </ion-col>
        </ion-row>
      </ion-col>
    </ion-row>

    <ion-row>
      <ion-col size="12" style="text-align: center;font-size: 20px;margin-bottom: -20px;">
        <ion-icon name="chevron-down-outline" style="color: #07138F;" (click)="expandircard()" *ngIf = "!vermasdetalle"></ion-icon>
        <ion-icon name="chevron-up-outline" style="color: #07138F;" (click)="expandircard()" *ngIf = "vermasdetalle"></ion-icon>
      </ion-col>
    </ion-row>

  </ion-card-content>
</ion-card>

</ion-content>
  <!-- <ion-card>
    <ion-label>{{total}}</ion-label>
  </ion-card> -->